<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Administration</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
</head>
<body>
<nav class="navbar navbar-light bg-white">
    <a th:href="@{/homepage}" class="navbar-brand">Return to Home page</a>
</nav>

<div class="container" id="administration">

    <br>
    <h1>User Administration</h1>
    <br>
    <br>
    <div class="card">
        <div class="card-block">
            <table class="table table-hover" id="usersAdmin">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Active</th>
                    <th>View Profile</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="user : ${data}">
                    <td th:text="${user.id}"></td>
                    <td th:text="${user.firstName}"></td>
                    <td th:text="${user.lastName}"></td>
                    <td th:text="${user.email}"></td>
                    <td th:text="${user.enabled}"></td>
                    <td><a  th:if="${user.enabled}" th:href="'/users/'+${user.id}" class="btn btn-light">View Profile</a></td>
                    <td>
                        <a class="btn btn-primary eBtn" th:href="@{enable/(id=${user.id})}" th:if="${!user.enabled}" id="enable">Enable</a>
                        <a class="btn btn-danger delBtn" th:href="@{delete/(id=${user.id})}" th:if="${user.enabled}" id="disable">Disable</a>
                    </td>
                </tr>
                </tbody>
            </table>
            <hr/>
            <ul class="nav nav-pills">
                <li class="nav-item"
                    th:each="i : ${#numbers.sequence(0,data.totalPages-1)}">
                    <a class="nav-link" th:classappend="${currentPage}==${i}?'active':''" th:href="@{/administration.html(page=${i})}"
                        th:text="${i}"> </a></li>
            </ul>
        </div>
    </div>

    <div aria-hidden="true" aria-labelledby="myModalLabel" class="modal fade" id="myModal"
         role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="myModalLabel">Disable Record</h5>
                    <button aria-label="Close" class="close" data-dismiss="modal"
                            type="button">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p class="alert alert-danger">
                        Are you sure you want to modify this user?
                    </p>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" data-dismiss="modal"
                            type="button">Close
                    </button>
                    <a class="btn btn-danger" href="" id="delRef">Disable</a>
                </div>
            </div>
        </div>
    </div>


</div>
<script>
    $('document').ready(function () {

        $('.table .delBtn .eBtn').on('click', function (event) {
            event.preventDefault();
            var href = $(this).attr('href');
            $('#myModal #delRef').attr('href', href);
            $('#myModal').modal();
        });

    });
</script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

<!-- Remember to include jQuery :) -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0/jquery.min.js"></script>

<!-- jQuery Modal -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>


</body>
</html>